Results 1 to 22 of 22
Like Tree3Likes
  • 1 Post By jspidey
  • 1 Post By icebike
  • 1 Post By aggie
  1. Thread Author  Thread Author    #1  

    Default Google Wallet: "Not Compatible With Your Device..."

    I just tried downloading Google Wallet from Market / Google Play (ugh, has their EVER been a stupider name change?!) & i couldn't find the ap there....So then i tried it from my browser and it said "Install Google Wallet" but when i clicked on it i got the above msg... ("not compatible with your device")

    I KNOW from all the reviews they said AT&T did NOT disable NFC on our HTC One X's but now i'm confused... Anyone?

    Thanx,

    BTC
    Lost In LG Optimus G Pro Heaven, Lvg A Msg, Maybe I'll Call...(doubt it ) lol
  2. #2  
    qnet's Avatar

    Posts
    1,671 Posts
    Global Posts
    1,675 Global Posts
    ROM
    All stock right now

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    I think it's At&t that is still blocking the actual use of Google wallet even though NFC may be enabled. From my understanding Sprint is the only carrier that can use Google wallet. There is probably a way around it though (or there will be).
  3. #3  

    Default

    You could try using the trick that all the Verizon galaxy nexus people used.
  4. #4  

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    Quote Originally Posted by JHBThree View Post
    You could try using the trick that all the Verizon galaxy nexus people used.
    Enlighten us.

    Mine installed properly too, but says its not available for my country or carrier. Mine is an international unlocked version.

    I don't understand what the carrier has to do with it.
    Its just data for pete sake!

    Are some carriers they blocking IP addresses of the servers or something?
  5. #5  
    moosc's Avatar
    Grand Master Moosc

    Posts
    3,439 Posts
    Global Posts
    5,512 Global Posts
    ROM
    AKOP M4 old geezer theme

    Default

    Its exclusive to sprint phones. No more explanation needed.

    Sent from my GT-I9300 using Xparent Cyan Tapatalk 2
    Google Nexus Class Devices (Nexus7, Nexus4, Galaxy Nexus lte VZW)...@moosc on twitter ...
  6. Thread Author  Thread Author    #6  

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    Quote Originally Posted by moosc View Post
    Its exclusive to sprint phones. No more explanation needed.

    Sent from my GT-I9300 using Xparent Cyan Tapatalk 2
    Well yeah, there kinda is.... i cannot tell you HOW many reviews are out there stating "NFC IS enabled on AT&T version."


    As much as i like the design of the HTC One X in WHITE,when i look at it sometimes, the curvature of it actually makes it look "warped" instead of it being a design feature, it looks like it melted in the sun. i dunno, maybe i am just super pissed off at it for not having NFC enabled....lol

    Maybe Sprints network is sometimes almost a crawl, but their One Version EVO with flat design & cheaper plans, Micro SD slot, kickstand, Ded Camera button, GoogleWallet loaded on phone at launch is almost beginning to look good enough to me to give it another whirl.


    For me i am not too worried about "how secure it will be", i intend to use it with a pre-paid Visa that i will only put 100 bucks or so at a time on, just to pay small daily purchases..... With the new technology i wouldn't trust it enough to add my bank card or high credit limit Credit Cards.


    Last year when AT&T disabled NFC in the SGSii was bad enough, but here a year later and its still a no-go. Pathetic.... I know that only a limited bunch of ppl are itching to swipe a phone at easy pass terminals, & i am one of them.


    whew, ok, done venting....sorry ....k

    BTC
    Last edited by BOSSY TEXAS CHICK; 05-22-2012 at 07:22 PM.
    Lost In LG Optimus G Pro Heaven, Lvg A Msg, Maybe I'll Call...(doubt it ) lol
  7. #7  
    davep1982's Avatar

    Posts
    14 Posts
    Global Posts
    33 Global Posts

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    The carrier does indeed have to do with it considering att and Verizon are working on their own versions which will no doubt be force fed to us. And they wonder why people want to root their phones.
  8. #8  
    jspidey's Avatar

    Posts
    85 Posts
    ROM
    CM7 (N1), Stock (HOX)

    Default

    NFC works on these. You may have to enable it. Its under wireless and networking section under the "More" option. I was able to share links and stuff with a friends GNex using the touch thing. AT&T does not allow the Wallet app due to their Isis involvement.

    Sent from my HTC One X using Android Central Forums

    Edit - spelling...ugh
    .............................................
    Nexus 7 (stock)
    HTC One XL (CM10)
    Nexus One
    Thanked by:
    BOSSY TEXAS CHICK likes this.
  9. #9  

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    Quote Originally Posted by davep1982 View Post
    The carrier does indeed have to do with it considering att and Verizon are working on their own versions which will no doubt be force fed to us. And they wonder why people want to root their phones.
    Congratulations. You have just posted a glowing example of Illegal Restraint of Trade.
    Daughain likes this.
  10. #10  
    aggie's Avatar

    Posts
    464 Posts
    Global Posts
    725 Global Posts

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    BTC: not sure where in Texas you are but sprint is the worst of the big 4 carriers here in dfw. I had Google Wallet working on my galaxy nexus on Verizon and while cool to show off to other people its nothing more than a novelty at this point. Definitely not worth switching over to sprint for. In fact if it's that important to you I'd get an unlocked nexus and use on att before going to sprint. Having had it on my vzw nexus for several months and only using it a few times I just can't convince myself to give up my HOX or LTE for it.
    Thanked by:
    BOSSY TEXAS CHICK likes this.
  11. #11  

    Default

    NFC is not disabled. Google Wallet is being blocked by the carrier. Google Wallet is just an app that uses NFC. Here is the newest apk. http://db.tt/Rgw2YBBQ
    Thanked by:
  12. #12  
    waynew73's Avatar

    Posts
    92 Posts
    Global Posts
    456 Global Posts

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    It is totally AT&T blocking it. As the other poster said, both AT&T and Verizon are working on ISIS along with American Express.

    I am on Sprint and T-Mobile and Google Wallet works on both. NFC is the technology ...Wallet is an App/service and sonis ISIS.
    Thanked by:
  13. Thread Author  Thread Author    #13  

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    Quote Originally Posted by tim242 View Post
    NFC is not disabled. Google Wallet is being blocked by the carrier. Google Wallet is just an app that uses NFC. Here is the newest apk.
    My bad, I should have realized/researched that google wallet and nfc are two separate things. DON'T really know how that got passed me, i usually sharper that... (not by much, just a tad...lol)

    Quote Originally Posted by aggie99 View Post
    BTC: not sure where in Texas you are but sprint is the worst of the big 4 carriers here in dfw. I had Google Wallet working on my galaxy nexus on Verizon and while cool to show off to other people its nothing more than a novelty at this point. Definitely not worth switching over to sprint for. In fact if it's that important to you I'd get an unlocked nexus and use on att before going to sprint. Having had it on my vzw nexus for several months and only using it a few times I just can't convince myself to give up my HOX or LTE for it.
    yah, sprint's coverage here in Beaumont tx is pretty G"d awful too. It crawls....and trust me, i know any "cool factor" would be far outweighed by standing there looking like an ***** moving phone every which way & that trying to connect...lol

    Its just that tthings about the Evo LTE are beginning to look good to me, and being on a friends acct costing me 75 bucks a month less is looking even better. But even with its flaws, i can say without hesitation the htc one x with its raised glass and sense 4.0 is the best phone i have ever used....

    If it seems i.m talikng out of both sides of my mouth here lately, I'll admit it, im conflicted.... : )

    Hey, but thats what 14 day periods..are all about, right?

    Thanx for all the replies y'all,

    BTC
    Last edited by BOSSY TEXAS CHICK; 05-23-2012 at 05:41 AM.
    Lost In LG Optimus G Pro Heaven, Lvg A Msg, Maybe I'll Call...(doubt it ) lol
  14. #14  
    dan1431's Avatar

    Posts
    291 Posts
    Global Posts
    292 Global Posts

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    Quote Originally Posted by icebike View Post
    Enlighten us.

    Mine installed properly too, but says its not available for my country or carrier. Mine is an international unlocked version.

    I don't understand what the carrier has to do with it.
    Its just data for pete sake!

    Are some carriers they blocking IP addresses of the servers or something?
    As I understand things, if at&t were to blame exclusively, it should work on the unlocked International version, but not on the localized version (i.e. the at&t branded).

    This sounds like Google has not setup wallet to work on the ONE series yet on all carriers.

    My reason for thinking this way is due to my experience with my colleague's Yakju GNex (which he imported from Europe and runs it on at&t) and until Google flipped the switch Wallet would not work on his GNex even though NFC was enabled by default and it would scan tags, etc.

    Dan
  15. #15  

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    Quote Originally Posted by tim242 View Post
    NFC is not disabled. Google Wallet is being blocked by the carrier. Google Wallet is just an app that uses NFC. Here is the newest apk.
    Just downloaded and installed this and when I run it I get "Unfortunately, Google Wallet has not yet been certified in your country or on your device / carrier." I am on AT&T.
  16. #16  

    Default

    Quote Originally Posted by ctfeet View Post
    Just downloaded and installed this and when I run it I get "Unfortunately, Google Wallet has not yet been certified in your country or on your device / carrier." I am on AT&T.
    Okay that's definitely a Google issue. I have it installed on my Verizon Nexus as we speak, and it works just fine.

    Sent from my Galaxy Nexus using Tapatalk 2
  17. #17  

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    It should only be working on the Nexus phones since they are Googles flagships. The rest of us will have to wait until Google decides to release it

    Also it wont work with visa yet, atleast at the play store this is what is says "makes paying fast with Citi MasterCard or the Google Prepaid Card"

    Its a very limited App at the moment
    Samsung GS4 GPE | LG Nexus 4 - Sold | GNexus - Sold | HTC One S - Broke | Vibrant - Retired
    Spread some love, Like/Thanks button -->
  18. #18  

    Default

    Quote Originally Posted by Ryandroid86 View Post
    It should only be working on the Nexus phones since they are Googles flagships. The rest of us will have to wait until Google decides to release it

    Also it wont work with visa yet, atleast at the play store this is what is says "makes paying fast with Citi MasterCard or the Google Prepaid Card"

    Its a very limited App at the moment
    Not really. All you do is 'transfer' money to the prepaid card. Its accepted anywhere pay pass is.

    Sent from my Galaxy Nexus using Tapatalk 2
  19. #19  

    Default

    I have international version q-core htc one-x, I turned the NFC on under settings...still won't work....must be my stupid carrier -AT&T. I agree,at this point, this is more of a show-off...this app has a great potential....I would love to use this....pl let me know if anyone figured out a way to make this work for international version under AT&T network......
  20. #20  

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    i have at&t prepaid on a stock rom int'l one x and i'm assuming google wallet doesn't work for two reasons: first is that my one x is a grey market import originally designed for the eu and google does not yet have eu licensing for this app (seriously, i saw an article about that) and second is that at&t hasn't agreed, either, to use of google wallet on the one x. i think the phone's origin does have a lot to do with it, since i have received the rom upgrades as they rolled out for the uk and expect that will continue to be the case. but think at&t's consent could bypass that limit for google wallet. not that i care that much at this point, personally, but eventually this method of payment will probably be a standard feature of the way we do business.
  21. #21  

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    try this and tell me if it works
  22. #22  

    Default Re: Google Wallet: "Not Compatible With Your Device..."

    Quote Originally Posted by ss2pheonix View Post
    try this and tell me if it works
    404.
    So, no, it didn't work.

Posting Permissions

B